<div id="content" class="comments">
  <h1><?php echo $page_name; ?></h1>
  <p class="bread_crumbs"><?php echo $breadcrumbs; ?></p>
  <?php if ($comments) { ?>
  <div id="comments_content">
    <?php foreach ($comments as $comment) { ?>
    <div>
      <div class="comment-head">
        <span class="user-name"><?php echo $comment['user_name']; ?></span>
        <div class="comment-info">
          <?php if ($show_email_field && $comment['user_email']) { ?>
            <span class="user-email"><?php echo $comment['user_email']; ?></span>
          <?php } ?>
          <?php if ($show_site_field && $comment['user_site']) { ?>
            <span class="user-site">
              <?php if ($comment['user_site_href']) { ?>
              <a href="<?php echo $comment['user_site_href']; ?>"><?php echo $comment['user_site']; ?></a>
              <?php } else { ?>
              <?php echo $comment['user_site']; ?>
              <?php } ?>
            </span>
          <?php } ?>
          <span class="date-add"><?php echo $comment['date_add']; ?></span>
        </div>
      </div>
      <div><?php echo $comment['text']; ?></div>
    </div>
    <?php } ?>
  </div>
  <div class="pagination"><?php echo $pagination; ?></div>
  <?php } ?>
</div>