<?php 
if (USER_CMS_VERSION < 2.2) {
	$this->data['errors'] = 'Для корректной работы компонента обновите UserCMS до версии 2.2 или более новой';
}

$this->load_model('component', 'modules_manager');

$success_msg = '';

$block_profile_data = array(
	'name' => 'Форма для комментирования',
	'type' => 'block',
	'version' => '1.0',
	'dir'     => 'comments_form',
	'description' => 'Блок для добавления комментариев'
);

if ($this->model_component_modules_manager->install_module($block_profile_data)) {
	$success_msg .= 'Блок "Форма для комментирования" успешно установлен.<br>' ;
}

$sql = 'BEGIN;
CREATE TABLE "comments" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "page_id" integer NOT NULL DEFAULT \'0\',
  "url" text NOT NULL,
  "text" text NOT NULL,
  "user_name" text NOT NULL,
  "user_email" text NULL,
  "user_site" text NOT NULL,
  "date_add" integer NOT NULL
);
COMMIT;';

if ($this->dbh->exec($sql)) {
	$success_msg .= 'Компонент "Комментарии" успешно установлен. Для использования компонента необходимо его <a href="' . SITE_URL . '/admin/components_manager/activate' . '">активировать</a>';
}

if ($success_msg) {
	$this->data['message'] = $success_msg;	
} else {
	$this->data['errors'] = 'В ходе установки произошла ошибка';
}

 ?>